Bug 1730411 (CVE-2019-2745) - CVE-2019-2745 OpenJDK: Side-channel attack risks in Elliptic Curve (EC) cryptography (Security, 8208698)
Summary: CVE-2019-2745 OpenJDK: Side-channel attack risks in Elliptic Curve (EC) crypt...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-2745
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1731477 1731478 1731479 1724467 1724468 1724469 1724470 1724471 1724472 1724473 1724474 1724475 1724476 1724477 1724478
Blocks: 1724463
TreeView+ depends on / blocked
 
Reported: 2019-07-16 15:55 UTC by Tomas Hoger
Modified: 2019-10-02 08:47 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-07 12:38:57 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1810 None None None 2019-07-22 12:40:27 UTC
Red Hat Product Errata RHSA-2019:1811 None None None 2019-07-22 12:40:38 UTC
Red Hat Product Errata RHSA-2019:1815 None None None 2019-07-22 12:40:51 UTC
Red Hat Product Errata RHSA-2019:1816 None None None 2019-07-22 12:41:02 UTC
Red Hat Product Errata RHSA-2019:1817 None None None 2019-07-22 12:40:09 UTC
Red Hat Product Errata RHSA-2019:1839 None None None 2019-07-23 17:55:22 UTC
Red Hat Product Errata RHSA-2019:1840 None None None 2019-07-23 16:15:44 UTC

Description Tomas Hoger 2019-07-16 15:55:36 UTC
The Elliptic Curve (EC) cryptography in the Security component of OpenJDK was modernized to use formulas that are more efficient, easier to implement, and offer greater resiliency against side-channel attacks (timing or cache).

For more detailed information, refer to upstream bug:

https://bugs.openjdk.java.net/browse/JDK-8208698

Upstream commit:

http://hg.openjdk.java.net/jdk/jdk/rev/752e57845ad2

Comment 1 Tomas Hoger 2019-07-16 20:48:44 UTC
Public now via Oracle CPU July 2019:

https://www.oracle.com/technetwork/security-advisory/cpujul2019-5072835.html#AppendixJAVA

Fixed in Oracle Java SE 11.0.4, 8u221, and 7u231.

Comment 3 errata-xmlrpc 2019-07-22 12:40:08 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:1817 https://access.redhat.com/errata/RHSA-2019:1817

Comment 4 errata-xmlrpc 2019-07-22 12:40:27 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:1810 https://access.redhat.com/errata/RHSA-2019:1810

Comment 5 errata-xmlrpc 2019-07-22 12:40:37 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2019:1811 https://access.redhat.com/errata/RHSA-2019:1811

Comment 6 errata-xmlrpc 2019-07-22 12:40:50 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:1815 https://access.redhat.com/errata/RHSA-2019:1815

Comment 7 errata-xmlrpc 2019-07-22 12:41:02 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:1816 https://access.redhat.com/errata/RHSA-2019:1816

Comment 8 errata-xmlrpc 2019-07-23 16:15:43 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2019:1840 https://access.redhat.com/errata/RHSA-2019:1840

Comment 9 errata-xmlrpc 2019-07-23 17:55:21 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:1839 https://access.redhat.com/errata/RHSA-2019:1839


Note You need to log in before you can comment on or make changes to this bug.